Bug 486435 - clicking on configuration URL results in error
clicking on configuration URL results in error
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
urgent Severity high
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-02-19 13:30 EST by Ade Lee
Modified: 2015-01-04 18:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (87.53 KB, image/png)
2009-02-19 13:30 EST, Ade Lee
no flags Details
RA diffs (2.20 KB, text/plain)
2009-02-23 18:21 EST, Matthew Harmsen
no flags Details
TPS diffs (2.20 KB, text/plain)
2009-02-23 18:22 EST, Matthew Harmsen
no flags Details

  None (edit)
Description Ade Lee 2009-02-19 13:30:46 EST
Created attachment 332607 [details]
screenshot

Description of problem:

After a TPS is installed, the configuration URL is clicked.  This results in the error shown in the screen capture.

The error_log shows the following error:

[Thu Feb 19 12:08:38 2009] Login.pm: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:38 2009] Login.pm: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:38 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:38 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:38 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:38 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:38 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:38 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: print() on closed filehandle DEBUG at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 144.
[Thu Feb 19 12:08:39 2009] -e: Use of uninitialized value in string eq at /var/lib/pki-tps8/lib/perl/PKI/TPS/Login.pm line 392.
[Thu Feb 19 12:08:39 2009] [error] [client 10.11.12.54] Handler for perl-script returned invalid result code 1

Entering the code manually works - but this should not have to be the case.
The last change to Login.pl file was made by mharmsen.

r225 | mharmsen | 2009-02-12 13:35:32 -0500 (Thu, 12 Feb 2009) | 2 lines
Bugzilla Bug #467155 -  Change "renameTo" to "cp -p ".


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ade Lee 2009-02-19 21:06:21 EST
The RA fails to install completely -- probably as a result of this change.

We see the same error - but this time the RA does not accept the manually entered pin.
Comment 2 Matthew Harmsen 2009-02-23 18:21:53 EST
Created attachment 332985 [details]
RA diffs
Comment 3 Matthew Harmsen 2009-02-23 18:22:36 EST
Created attachment 332986 [details]
TPS diffs
Comment 4 Jack Magne 2009-02-23 18:31:02 EST
Attachements (id=332985,id=332986) +jmagne.
Comment 5 Matthew Harmsen 2009-02-23 19:23:11 EST
% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      dogtag/ra/pki-ra.spec
M      dogtag/tps/pki-tps.spec
M      base/ra/lib/perl/PKI/RA/wizard.pm
M      base/ra/lib/perl/PKI/RA/Login.pm
M      base/tps/lib/perl/PKI/TPS/wizard.pm
M      base/tps/lib/perl/PKI/TPS/Login.pm

% svn commit
Sending        base/ra/lib/perl/PKI/RA/Login.pm
Sending        base/ra/lib/perl/PKI/RA/wizard.pm
Sending        base/tps/lib/perl/PKI/TPS/Login.pm
Sending        base/tps/lib/perl/PKI/TPS/wizard.pm
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ......
Committed revision 239.
Comment 6 Jenny Galipeau 2009-05-28 16:29:08 EDT
Accessing configuration by using provided URL after installation is successful with RHCS.  

closing bug verified.

Note You need to log in before you can comment on or make changes to this bug.